#ifndef tttcont_h_included  
#define tttcont_h_included  
/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [tttcont_h] <00000017.00000000> Retained!
// -MQEnd- [Module_Includes] [tttcont_h] <00000017.00000000> 

// -MQBeg- [Module_Declarations_1] [tttcont_h] <00000017.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [tttcont_h] <00000017.00000000> 

// -MQBeg- [Class_Spec] [TTT_Controller] <00000000.00000003> 
/******************************************************************************
TTT_Controller:
General event handler and game sequencer.
******************************************************************************/
class TTT_Controller 
{
// -MQBeg- [Declarations_1] [TTT_Controller] <00000000.00000003> Retained!
// -MQEnd- [Declarations_1] [TTT_Controller] <00000000.00000003> 
public:
  TTT_Controller(TTT_Engine *Engine, TTT_Display *Disp);
  virtual ~TTT_Controller();
  virtual void Start();
  // Handle events from the outside world.
  void HandleEvent(int Event, int Cell = 0);
private:
  // Handle MOVE event.
  void Move(int CellNum);
  // Handle UPDATE event.
  void Update();
  // Handle RESET event.
  void Reset();
public:
  // Current TTT Event Type.
  enum TTT_EVENT { NULL_EVENT, MOVE, UPDATE, RESET, QUIT } CurrentEvent;
protected:
  TTT_Engine *theEngine; 
  TTT_Display *theDisplay; 
// -MQBeg- [Declarations_2] [TTT_Controller] <00000000.00000003> Retained!
// -MQEnd- [Declarations_2] [TTT_Controller] <00000000.00000003> 
};

// -MQEnd- [Class_Spec] [TTT_Controller] <00000000.00000003> 

// -MQBeg- [Module_Declarations_2] [tttcont_h] <00000017.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [tttcont_h] <00000017.00000000> 

#endif
